diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/goodies/source/inv/invader1.cxx ooo_DEV300_m9_src.pj90/goodies/source/inv/invader1.cxx
--- ooo_DEV300_m9_src.orig/goodies/source/inv/invader1.cxx	2008-04-11 02:04:27.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/goodies/source/inv/invader1.cxx	2008-04-19 10:44:41.000000000 +0200
@@ -292,8 +292,8 @@
 	else
 		bGetFighter = FALSE;
 
-	USHORT nGegner;
-	USHORT nDummy;
+	long nGegner;
+	long nDummy;
 
 	if(nLevel < WAVES*2)
 	{
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/goodies/source/inv/monst.cxx ooo_DEV300_m9_src.pj90/goodies/source/inv/monst.cxx
--- ooo_DEV300_m9_src.orig/goodies/source/inv/monst.cxx	2008-04-11 02:05:00.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/goodies/source/inv/monst.cxx	2008-04-19 10:44:44.000000000 +0200
@@ -92,7 +92,7 @@
 	delete pBitMonst5b;
 }
 
-void Gegner::InsertGegner(USHORT nType, USHORT x, USHORT y)
+void Gegner::InsertGegner(long nType, long x, long y)
 {
 	Gegner_Impl* pWork = new Gegner_Impl();
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/goodies/source/inv/monst.hxx ooo_DEV300_m9_src.pj90/goodies/source/inv/monst.hxx
--- ooo_DEV300_m9_src.orig/goodies/source/inv/monst.hxx	2008-04-11 02:05:17.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/goodies/source/inv/monst.hxx	2008-04-19 10:44:47.000000000 +0200
@@ -96,7 +96,7 @@
 					Gegner(Fighter* pFighter, Bombe* pBombe, ResMgr* pRes);
 					~Gegner();
 
-		void		InsertGegner(USHORT nType, USHORT x, USHORT y);
+		void		InsertGegner(long nType, long x, long y);
 		void		DrawGegner(OutputDevice* pDev, Point* pStart);
 		void		Move();
 		void		SetRandWert(long nWert) { nRandWert = nWert; }
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/goodies/source/inv/score.cxx ooo_DEV300_m9_src.pj90/goodies/source/inv/score.cxx
--- ooo_DEV300_m9_src.orig/goodies/source/inv/score.cxx	2008-04-11 02:05:33.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/goodies/source/inv/score.cxx	2008-04-19 10:44:50.000000000 +0200
@@ -115,7 +115,7 @@
 	Invalidate();
 }
 
-void ScoreWindow::SetRockets(USHORT nWert)
+void ScoreWindow::SetRockets(long nWert)
 {
 	nRockets = nWert;
 
@@ -123,7 +123,7 @@
 	Invalidate();
 }
 
-void ScoreWindow::SetLives(USHORT nWert)
+void ScoreWindow::SetLives(long nWert)
 {
 	nLives = nWert;
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/goodies/source/inv/score.hxx ooo_DEV300_m9_src.pj90/goodies/source/inv/score.hxx
--- ooo_DEV300_m9_src.orig/goodies/source/inv/score.hxx	2008-04-11 02:05:48.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/goodies/source/inv/score.hxx	2008-04-19 10:44:52.000000000 +0200
@@ -37,8 +37,8 @@
 {
 	private:
 		long			nHero;
-		USHORT			nRockets;
-		USHORT			nLives;
+		long			nRockets;
+		long			nLives;
 		long			nScore;
 		long			nLevel;
 		ResMgr*			pRes;
@@ -50,8 +50,8 @@
 						~ScoreWindow();
 		virtual void	Paint(const Rectangle& rRect);
 		void			SetHero(long nName);
-		void			SetRockets(USHORT nWert);
-		void			SetLives(USHORT nWert);
+		void			SetRockets(long nWert);
+		void			SetLives(long nWert);
 		void			SetScore(long nWert);
 		void			SetLevel(long nWert);
 
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/goodies/source/inv/waves.hxx ooo_DEV300_m9_src.pj90/goodies/source/inv/waves.hxx
--- ooo_DEV300_m9_src.orig/goodies/source/inv/waves.hxx	2008-04-11 02:07:08.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/goodies/source/inv/waves.hxx	2008-04-19 10:44:55.000000000 +0200
@@ -53,7 +53,7 @@
 	170,390,170
 };
 
-USHORT levelpuf[RANMAX*3+2] =
+long levelpuf[RANMAX*3+2] =
 {   0, 0, 0, 0, 0};
 
 BYTE waves[WAVES][MAX_LEN] = {
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/solenv/bin/modules/installer/globals.pm ooo_DEV300_m9_src.pj90/solenv/bin/modules/installer/globals.pm
--- ooo_DEV300_m9_src.orig/solenv/bin/modules/installer/globals.pm	2008-04-10 19:09:08.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/solenv/bin/modules/installer/globals.pm	2008-04-19 10:44:00.000000000 +0200
@@ -39,7 +39,7 @@
 {	
 	$prog="make_installer.pl";
 
-	@noMSLocaleLangs = ( "br", "dz", "km", "nr", "ns", "rw", "ss", "st", "tg", "ts", "tn", "ve", "xh", "zu" , "ne" , "bn", "bn-BD", "bn-IN", "lo", "cy" , "ku" , "as-IN" , "te-IN" , "ml-IN" , "mr-IN", "ur-IN", "ta-IN", "or-IN" , "ti-ER" , "eo" , "ka" ,"ga" , "uk"  );
+	@noMSLocaleLangs = ( "br", "dz", "km", "nr", "ns", "rw", "ss", "st", "tg", "ts", "tn", "ve", "xh", "zu" , "ne" , "bn", "bn-BD", "bn-IN", "lo", "cy" , "ku" , "as-IN" , "te-IN" , "ml-IN" , "mr-IN", "ur-IN", "ta-IN", "or-IN" , "ti-ER" , "eo" , "ka" ,"ga" , "uk", "gd" );
 	@items_at_modules = ("Files", "Dirs", "Unixlinks");
 	@asianlanguages = ("ja", "ko", "zh-CN", "zh-TW");
 	
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/solenv/inc/postset.mk ooo_DEV300_m9_src.pj90/solenv/inc/postset.mk
--- ooo_DEV300_m9_src.orig/solenv/inc/postset.mk	2008-04-10 19:35:24.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/solenv/inc/postset.mk	2008-04-19 10:44:03.000000000 +0200
@@ -35,6 +35,6 @@
 defaultlangiso=en-US
 
 # Complete list of all supported ISO codes
-completelangiso=af ar as-IN be-BY bg br bn bn-BD bn-IN bs ca cs cy da de dz el en-GB en-US en-ZA eo es et eu fa fi fr ga gl gu-IN he hi-IN hr hu it ja ka km kn ko ku lo lt lv mk ms ml-IN mr-IN ne nb nl nn nr ns oc or-IN pa-IN pl pt pt-BR ru rw sk sl sh sr ss st sv sw sw-TZ te-IN ti-ER ta-IN th tn tr ts tg ur-IN uk uz ve vi xh zh-CN zh-TW zu
+completelangiso=af ar as-IN be-BY bg br bn bn-BD bn-IN bs ca cs cy da de dz el en-GB en-US en-ZA eo es et eu fa fi fr ga gd gl gu-IN he hi-IN hr hu it ja ka km kn ko ku lo lt lv mk ms ml-IN mr-IN ne nb nl nn nr ns oc or-IN pa-IN pl pt pt-BR ru rw sk sl sh sr ss st sv sw sw-TZ te-IN ti-ER ta-IN th tn tr ts tg ur-IN uk uz ve vi xh zh-CN zh-TW zu
 
 alllangiso=$(strip $(defaultlangiso) $(subst,$(defaultlangiso), $(uniq $(subst,ALL,$(completelangiso) $(WITH_LANG)))))
diff -x CVS -x wntmsci3 -x wntmsci7 -x wntmsci8 -urN ooo_DEV300_m9_src.orig/solenv/inc/unxmacx.mk ooo_DEV300_m9_src.pj90/solenv/inc/unxmacx.mk
--- ooo_DEV300_m9_src.orig/solenv/inc/unxmacx.mk	2008-04-10 19:52:37.000000000 +0200
+++ ooo_DEV300_m9_src.pj90/solenv/inc/unxmacx.mk	2008-04-19 10:44:06.000000000 +0200
@@ -149,10 +149,10 @@
 CFLAGSWALLCXX=$(CFLAGSWARNCXX)
 CFLAGSWERRCC=-Werror
 
-# Once all modules on this platform compile without warnings, set
-# COMPILER_WARN_ERRORS=TRUE here instead of setting MODULES_WITH_WARNINGS (see
-# settings.mk):
-MODULES_WITH_WARNINGS := 
+# All modules on this platform compile without warnings.
+# If you need to set MODULES_WITH_WARNINGS here, comment
+# COMPILER_WARN_ERRORS=TRUE here (see settings.mk):
+COMPILER_WARN_ERRORS=TRUE
 
 #special settings form environment
 CDEFS+=$(EXTRA_CDEFS)
